Groovy 1.7.0

## org.codehaus.groovy.classgen
Class GeneratorContext

    java.lang.Object
      org.codehaus.groovy.classgen.GeneratorContext

    class GeneratorContext
    extends Object

A context shared across generations of a class and its inner classes

author:
  James Strachan

version:
  $Revision: 6778 $

Constructor Summary
`GeneratorContext(CompileUnit compileUnit)`

Method Summary
`CompileUnit` | `getCompileUnit()`
`String` | `getNextClosureInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)`
`int` | `getNextInnerClassIdx()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GeneratorContext

    public GeneratorContext(CompileUnit compileUnit)

Method Detail

### getCompileUnit

    public CompileUnit getCompileUnit()

### getNextClosureInnerName

    public String getNextClosureInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)

### getNextInnerClassIdx

    public int getNextInnerClassIdx()

Copyright © 2003-2009 The Codehaus. All rights reserved.